import type { ServerRuntime as SnowpackServerRuntime } from 'snowpack';
import type { AstroConfig, BuildOutput, RuntimeMode } from '../@types/astro';
import type { LogOptions } from '../logger';
import type { AstroRuntime } from '../runtime';
interface PageBuildOptions {
    astroConfig: AstroConfig;
    buildState: BuildOutput;
    logging: LogOptions;
    filepath: URL;
    mode: RuntimeMode;
    snowpackRuntime: SnowpackServerRuntime;
    astroRuntime: AstroRuntime;
    site?: string;
}
/** Collection utility */
export declare function getPageType(filepath: URL): 'collection' | 'static';
/** Build collection */
export declare function buildCollectionPage({ astroConfig, filepath, astroRuntime, snowpackRuntime, site, buildState }: PageBuildOptions): Promise<void>;
/** Build static page */
export declare function buildStaticPage({ astroConfig, buildState, filepath, astroRuntime }: PageBuildOptions): Promise<void>;
export {};
